import {
  getBeLikeList
} from '~/api/message'
import reachBottom from '~/mixins/reachBottom'
Page({
  behaviors: [reachBottom],
  data: {
    list: [],
    url:"https://mp.weixin.qq.com/mp/profile_ext?action=home&__biz=MzIzNDY1NTgyNAMzIzNDY1NTgyNA==#wechat_redirect"
  },
  onShow(options) {
    this.resetData()
  },
  loadMore() {
    this.getData(getBeLikeList, {
      pageSize: 20
    })
  },
  jumpUserInfo({
    currentTarget
  }) {
    wx.navigateTo({
      url: `/pages/personal/index?uid=${currentTarget.dataset.uid}&type=user`,
    })
  },
  jumpWork({
    currentTarget
  }) {
    console.log(currentTarget.dataset);
    let {
      id,
      likelog
    } = currentTarget.dataset
    wx.navigateTo({
      url: `/pages/userWorks/index?id=${id}&onceId=${likelog}&type='like'`,
    })
  },
})